Bug 1823465 - keepalived virtual routerids can easily clash when running several clusters
Summary: keepalived virtual routerids can easily clash when running several clusters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Antoni Segura Puimedon
QA Contact: Aleksandra Malykhin
URL:
Whiteboard:
Depends On: 1821667
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-13 18:56 UTC by Victor Voronkov
Modified: 2020-06-02 11:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: There's a limited amount of Virtual Router IDs that can be used in a cluster. The Virtual Router IDs to be used in a cluster are computed from the cluster name. Consequence: It could be that the computed Virtual Router IDs conflicted with other Virtual Router IDs currently in use in the broadcast domain. This would generate conflicts in managing the Virtual IPs. Fix: Make a tool that shows which Virtual Router IDs would be used before starting the deployment. Result: The user can see the Virtual Router IDs and change the cluster name in case the generated IDs conflict with other Virtual Routers in the broadcast domain.
Clone Of: 1821667
Environment:
Last Closed: 2020-06-02 11:17:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift baremetal-runtimecfg pull 55 None closed Bug 1823465: runtimecfg: tool to show the Virtual Router IDs 2020-07-21 19:23:10 UTC
Red Hat Product Errata RHBA-2020:2310 None None None 2020-06-02 11:18:14 UTC

Comment 3 Victor Voronkov 2020-04-20 08:45:44 UTC
Ready to be backported since the original bug is verified already https://bugzilla.redhat.com/show_bug.cgi?id=1821667

Comment 7 Aleksandra Malykhin 2020-05-26 08:06:24 UTC
Verified on 4.4.0-0.nightly-2020-05-25-115719

on master node:

[core@master-0-0 ~]$ sudo crictl exec $(sudo crictl ps --name keepalived-monitor | awk 'FNR==2{ print $1}') runtimecfg vr-ids cnf10
APIVirtualRouterID: 147
DNSVirtualRouterID: 158
IngressVirtualRouterID: 2
[core@master-0-0 ~]$ sudo crictl exec $(sudo crictl ps --name keepalived-monitor | awk 'FNR==2{ print $1}') runtimecfg vr-ids cnf11
APIVirtualRouterID: 228
DNSVirtualRouterID: 239
IngressVirtualRouterID: 147

Checked on external host by documentation provided here https://github.com/openshift/installer/blob/master/docs/user/metal/install_ipi.md
[~]# podman run quay.io/openshift/origin-baremetal-runtimecfg:4.4 vr-ids cnf11
APIVirtualRouterID: 228
DNSVirtualRouterID: 239
IngressVirtualRouterID: 147

Comment 9 errata-xmlrpc 2020-06-02 11:17:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2310


Note You need to log in before you can comment on or make changes to this bug.